
<?php
//LIBRERIA PARA EL MAIL_______________________________________________________________
require_once 'php/ext/Swift-4.2.1/lib/swift_required.php';
//LIBRERIA PARA EL MAIL_______________________________________________________________

include ("../../BD/conexion_bd.php");
if(!$conexion)
{
	die("error al intentar conectar: " .mysql_error());
}
mysql_query("SET NAMES 'utf8'");// para configurar acentos y eñes

//conexion realizada



$sql=mysql_query("select pass from Pass_Emp where Pass_Emp.Empleado_user='".$_POST['usuario']."'",$conexion);
$rowEmp=mysql_fetch_assoc($sql);
$password_usuario=$rowEmp['pass'];
//UPDATE
mysql_query("UPDATE Empleado SET Email='$_POST[email]', Nombre='$_POST[nombre]', ApellidoP='$_POST[apellidop]', ApellidoM='$_POST[apellidom]', Puesto='$_POST[puesto]', Departamento='$_POST[checkbox]' where user='$_POST[usuario]'",$conexion);
if($_POST['password']=='')
{
	
}
else
{
	mysql_query("UPDATE Pass_Emp SET pass='$_POST[password]' where Empleado_user='".$_POST[usuario]."'",$conexion);
	$password_usuario=$_POST['password'];
}
//cierra conexion
mysql_close($conexion);



//SE ENVIA MAIL____________________________________________________________________________________

$objCuentaUtilizada=Array(
			'smtp'			=>	'mail.manemployee.com',		//direccion del smtp
			'puerto'		=>	25,						//puerto smtp
			'nombre'		=>	'MANEMPLOYEE',			//nombre que aparecera en los correos
			'cuenta'		=>	'gestion@manemployee.com',	//cuenta que vamos a usar (colocar con @)
			'usuario'		=>	'gestion@manemployee.com',	//usuario de smtp
			'contrasena'	=>	'gestion202720'	//contrasena de smtp
		);
		
		//creamos el nuevo transporte de Swift con los datos de conexion
		$objTransporte=Swift_SmtpTransport::newInstance($objCuentaUtilizada['smtp'],
		$objCuentaUtilizada['puerto'])
			->setUsername($objCuentaUtilizada['usuario'])		//le indicamos el usuario smtp que vamos a usar
			->setPassword($objCuentaUtilizada['contrasena'])	//contrasena del usuario smtp
		;
		
		//instanciamos el mailer con los datos de conexion establecidos anteriormente
		$objMailer=Swift_Mailer::newInstance($objTransporte);
		
		//creamos el mensaje
		$objMensaje=Swift_Message::newInstance('Información de tu Cuenta')							//asunto del mensaje
			->setFrom(array($objCuentaUtilizada['cuenta'] => $objCuentaUtilizada['nombre']))	//quien esta enviando el mensaje?
			->setTo(array($_POST['email'] => $name))								//a quien le enviamos el mensaje?
			->setBody('<div style="width:100%; font-family:Tahoma, Geneva, sans-serif; height:300px; margin-top:30px; background-color:#CCC">
<div style="width:100%; height:50px;; font-size:20px; padding-top:15px; text-align:center;">' .$_POST[nombre]. ' '.$_POST['apellidop'].' '.$_POST['apellidom'].', la información de tu cuenta ha sido modificada. Estos son tus datos para ingresar al Sistema de Gestión de Actividades.</div>
<div style="width:49%; float:left; height:35px; margin-top: 40px; text-align:right; padding-right:1%; text-decoration:underline; font-size:18px; font-weight:bold;">Usuario:</div>
<div style="width:49%; float:left; margin-top:40px; height:35px; text-align:left; padding-left:1%;font-size:18px; font-weight:bold;">' .$_POST[usuario]. '</div>
<div style=" width:49%; float:left; height:35px; text-align:right; padding-right:1%; text-decoration:underline;font-size:18px; font-weight:bold;">Contraseña:</div>
<div style="width:49%; float:left; height:35px; text-align:left; padding-left:1%;font-size:18px; font-weight:bold;">' .$password_usuario. '</div>
<div style="width:100%; float:left; height:35px;"></div>

<p style="font-size: 14px;  padding-left: 10px; padding-right: 10px; padding-bottom: 10px;">Ingresa al sistema  desde esta dirección <span><a href="http://www.manemployee.com/gestiondeactividades/">www.manemployee.com/gestiondeactividades</a></span> en la sección de "Usuario" </p>
</div>')					//cuerpo del mensaje	
			->setContentType('text/html')														//mensaje en formato HTML
		;
		
		//enviamos el mensaje
		if($objMailer->send($objMensaje)){
			echo 'Se ha enviado un e-mail al empleado con su usuario y contraseña';
		}else{
			echo 'Error al enviar el mensaje...!';
		}

//SE ENVIA MAIL____________________________________________________________________________________


echo "<script >
		
		alert('El registro se ha modificado correctamente');
		window.location=('../../main_page/iframe_inicio.php');				
		</script>";

?>